# time.txt

Simple plain-text time tracking.

The Python script `tx` provides short-hands for accessing and reading a `time.txt` file, as described below.

## Installation

For testing, you can just run `tx` in this directory using `./tx`.

If you want to be able to use it anywhere, run `install.sh`. The `tx` command should then be available in any folder.

## Usage

Create a new `time.txt` file at the current location: `tx create`

Add a time entry: `tx add 01:00 Totally productive work`

View the total unbilled time: `tx total` or simply `tx`

Remove time which was billed: `tx bill 05:00 Fee note for this month`

## Format

The `time.txt` file is written in the following format:

```
2020-08-12 01:00 Work on Task 1
2020-08-12 03:00 Work on Task 2
2020-08-16 05:00 Finish Task 2
2020-08-31 -08:00 Fee note for August
```

With this file, the total amount of (unbilled) hours is 01:00.

All `tx` commands are simply short-hands for accessing and reading this file comfortably. It can be edited manually at any time.
